include ../pandoc-opts.mk

SOURCES		= tutorial.md \
		    ../docker-advanced/security.md \
		    ../dockerfiles/what.md ../dockerfiles/interactive.md ../dockerfiles/dockerfile.md ../dockerfiles/dockerfile-ex.md ../dockerfiles/goodpractices.md ../dockerfiles/buildx.md ../dockerfiles/buildx-ex.md ../dockerfiles/others.md ../dockerfiles/entrypoint.md \
		    ../docker-internals/vulnerability-scan.md ../docker-internals/clair-tiny.md ../docker-internals/vulnerability-scan-ex.md

SOURCES_TUTO	= tutorial.md \
		    ../header-tp.md \
		    ../dockerfiles/dockerfile-ex.md ../dockerfiles/goodpractices.md ../dockerfiles/buildx.md ../dockerfiles/buildx-ex.md \
		    rendu.md

SOURCES_CLAIR	= tutorial-clair.md \
		    ../docker-internals/clair.md


all: 2-course.pdf 2-tutorial.pdf 2-tutorial-clair.pdf

2-course.pdf: ${SOURCES}
	pandoc ${PANDOCOPTS} -o $@ $+

2-tutorial.pdf: ${SOURCES_TUTO}
	pandoc ${PANDOCOPTS} -o $@ $+

2-tutorial-clair.pdf: ${SOURCES_CLAIR}
	pandoc ${PANDOCOPTS} -o $@ $+

clean::
	rm 2-course.pdf 2-tutorial.pdf 2-tutorial-clair.pdf
